lp:ubuntu/lucid-security/libtasn1-3

Created by Ubuntu Package Importer on 2012-05-05 and last modified on 2015-04-02
Get this branch:
bzr branch lp:ubuntu/lucid-security/libtasn1-3
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

17. By Marc Deslauriers on 2015-04-02

* SECURITY UPDATE: denial of service and possible code execution via
  overflow in _asn1_ltostr
  - debian/patches/CVE-2015-2806.patch: introduce LTOSTR_MAX_SIZE and use
    in lib/coding.c, lib/decoding.c, lib/element.c, lib/parser_aux.c,
    lib/parser_aux.h.
  - CVE-2015-2806

16. By Marc Deslauriers on 2014-07-18

* SECURITY UPDATE: denial of service and possible code execution via
  invalid ASN.1 data
  - debian/patches/CVE-2014-3467-3468.patch: properly calculate lengths
    in lib/decoding.c.
  - CVE-2014-3467
  - CVE-2014-3468
* SECURITY UPDATE: denial of service via NULL value
  - debian/patches/CVE-2014-3469.patch: check for NULLs in lib/element.c.
  - CVE-2014-3469

15. By Marc Deslauriers on 2012-04-24

* SECURITY UPDATE: denial of service and possible code execution via
  certain large length values.
  - debian/patches/CVE-2012-1569.diff: return an error when the decoded
    length value plus @len would exceed @der_len in lib/decoding.c.
  - CVE-2012-1569

14. By Andreas Metzler <email address hidden> on 2010-01-23

* New upstream version.
* Update debian/copyright.
* Drop cdbs simple-patchsys in favour of dpkg-source v3. Remove unneeded
  debian/README.source.
* Use dh_installinfo instead of dh_install for info files to get the
  recommended dependency on dpkg (>= 1.15.4) | install-info.

13. By Andreas Metzler <email address hidden> on 2009-07-31

* Move libtasn1-3-bin to section devel. #532649
* New upstream version.
* Set newly available --with-packager options.
* Update homepage location, this is now an official GNU project.
* Standards version 3.8.2:
  + In debian/copyright point to /usr/share/common-licenses/GFDL-1.3
    instead of shipping our own copy.
* Fix dh_install pattern for installation of info files to not match a
  dir file.

12. By Andreas Metzler <email address hidden> on 2009-05-21

* Sync debian/control with override file, libtasn1-3-dbg is section debug.
* New upstream version.
* Standards-Version 3.8.1, no changes required.
* Add Homepage field to debian/control.

11. By Andreas Metzler <email address hidden> on 2009-02-17

* New upstream version.
* [lintian] Add ${misc:Depends}.
* Standards-Version 3.8.0.
  + Rename README.source_and_patches to README.source

10. By Andreas Metzler <email address hidden> on 2008-09-20

* New upstream bugfix release.
* Drop tetex-bin Build-Depends alternative.

9. By Andreas Metzler <email address hidden> on 2008-04-26

* New upstream version.
* remove cruft from debian/rules
* Use Programming/C instead of gone section Apps/Net for doc-base.

8. By Andreas Metzler <email address hidden> on 2007-12-02

* New upstream version 1.1.
  - Uses GPLv3+ for self tests, tools /with their manpages) and build
    infrastructure.
  - The library itself continues to stay LGPLv2.1+
* Update debian/copyright.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/libtasn1-3
This branch contains Public information 
Everyone can see this information.

Subscribers